rpm: File Classification API.

rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Typedefs | Enumerations | Functions
File Classification API.
Collaboration diagram for File Classification API.:

## Files
file | rpmfc.h
| Structures and methods for build-time file classification.
## Typedefs
typedef struct rpmfc_s * | rpmfc
typedef rpmFlags | FCOLOR_t
typedef struct rpmfcTokens_s * | rpmfcToken
## Enumerations
enum | FCOLOR_e { RPMFC_BLACK = 0, RPMFC_ELF32 = (1 << 0), RPMFC_ELF64 = (1 << 1), RPMFC_ELFMIPSN32 = (1 << 2) }
## Functions
void | rpmfcPrint (const char *msg, rpmfc fc, FILE *fp)
| Print results of file classification.
rpmfc | rpmfcFree (rpmfc fc)
| Destroy a file classifier.
rpmfc | rpmfcCreate (const char *rootDir, rpmFlags flags)
| Create a file classifier.
RPM_GNUC_DEPRECATED rpmfc | rpmfcNew (void)
rpmRC | rpmfcClassify (rpmfc fc, ARGV_t argv, rpm_mode_t *fmode)
| Build file class dictionary and mappings.
rpmRC | rpmfcApply (rpmfc fc)
| Build file/package dependency dictionary and mappings.
rpmds | rpmfcProvides (rpmfc fc)
| Retrieve file classification provides.
rpmds | rpmfcRequires (rpmfc fc)
| Retrieve file classification requires.

## Typedef Documentation

typedef rpmFlags FCOLOR_t

Definition at line 40 of file rpmfc.h.

typedef struct rpmfc_s* rpmfc

Definition at line 21 of file rpmfc.h.

typedef struct rpmfcTokens_s* rpmfcToken

Definition at line 44 of file rpmfc.h.

## Enumeration Type Documentation

enum FCOLOR_e

Enumerator:

  RPMFC_BLACK |
  RPMFC_ELF32 |
  RPMFC_ELF64 |
  RPMFC_ELFMIPSN32 |

Definition at line 25 of file rpmfc.h.

## Function Documentation

rpmRC rpmfcApply | ( | rpmfc | fc | ) |

Build file/package dependency dictionary and mappings.

Parameters:

  fc | file classifier

Returns:
  RPMRC_OK on success

rpmRC rpmfcClassify | ( | rpmfc | fc,
|  | ARGV_t | argv,
|  | rpm_mode_t * | fmode
| ) |  |

Build file class dictionary and mappings.

Parameters:

  fc | file classifier
  argv | files to classify
  fmode | files mode_t array (or NULL)

Returns:
  RPMRC_OK on success

rpmfc rpmfcCreate | ( | const char * | rootDir,
|  | rpmFlags | flags
| ) |  |

Create a file classifier.

Parameters:

  rootDir | (build) root directory
  flags | (unused)

Returns:
  new file classifier

rpmfc rpmfcFree | ( | rpmfc | fc | ) |

Destroy a file classifier.

Parameters:

  fc | file classifier

Returns:
  NULL always

RPM_GNUC_DEPRECATED rpmfc rpmfcNew | ( | void |  | ) |

Deprecated:
  Create a file classifier.

Returns:
  new file classifier

void rpmfcPrint | ( | const char * | msg,
|  | rpmfc | fc,
|  | FILE * | fp
| ) |  |

Print results of file classification.

Todo:
  Remove debugging routine.

Parameters:

  msg | message prefix (NULL for none)
  fc | file classifier
  fp | output file handle (NULL for stderr)

rpmds rpmfcProvides | ( | rpmfc | fc | ) |

Retrieve file classification provides.

Parameters:

  fc | file classifier

Returns:
  rpmds dependency set of fc provides

rpmds rpmfcRequires | ( | rpmfc | fc | ) |

Retrieve file classification requires.

Parameters:

  fc | file classifier

Returns:
  rpmds dependency set of fc requires